#include <applstdef_emC.h>

char const* prepareLog(int val) {
  STACKTRC_ENTRY("prepareLog");
  MemC mem = getUserBuffer_ThreadContextFw(200, "prepareLog", _thCxt);
  char* buffer = PTR_MemC(mem, char);
  snprintf(buffer, size_MemC(mem), "The message: %d\n", val);
  STACKTRC_LEAVE; return buffer;
}



void logger() {
  STACKTRC_ENTRY("logger");
  char const* msg = prepareLog(123);
  printf(msg);
  free_MemC(msg);
  STACKTRC_LEAVE; return;
}




void main()
{
  STACKTRC_ENTRY("main");

  logger();
  STACKTRC_LEAVE;
}